DHPrivateKey (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: javax.crypto.interfaces, interface: DHPrivateKey
Keywords: javax.crypto.interfaces.DHPrivateKey interface

# Interface DHPrivateKey

All Superinterfaces:
  `AsymmetricKey, DEREncodablePREVIEW, Destroyable, DHKey, Key, PrivateKey, Serializable`

public interface DHPrivateKey extends DHKey, PrivateKey
The interface to a Diffie-Hellman private key.

Since:
  1.4
See Also:
  - `DHKey`
  - `DHPublicKey`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default DHParameterSpec`
  `getParams()`
  Returns the parameters associated with this key.
  `BigInteger`
  `getX()`
  Returns the private value, `x`.

  ### Methods declared in interface Destroyable

  `destroy, isDestroyed`
  Modifier and Type
  Method
  Description
  `default void`
  `destroy()`
  Destroy this `Object`.
  `default boolean`
  `isDestroyed()`
  Determine if this `Object` has been destroyed.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`
  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Returns the standard algorithm name for this key.
  `byte[]`
  `getEncoded()`
  Returns the key in its primary encoding format, or `null` if this key does not support encoding.
  `String`
  `getFormat()`
  Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getX

    BigInteger getX()
    Returns the private value, `x`.
    Returns:
      the private value, `x`

  - ### getParams

    default DHParameterSpec getParams()
    Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
    Specified by:
      `getParams` in interface `AsymmetricKey`
    Specified by:
      `getParams` in interface `DHKey`
    Implementation Requirements:
      The default implementation returns `null`.
    Returns:
      the associated parameters, may be `null`